Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Package

    java.lang.Object
      |
      +--java.lang.Package

public synchronized class Package
extends Object

Method Summary
`String` | `getImplementationTitle()`
`String` | `getImplementationVendor()`
`String` | `getImplementationVersion()`
`String` | `getName()`
`static Package` | `getPackage(String)`
`static Package[]` | `getPackages()`
`String` | `getSpecificationTitle()`
`String` | `getSpecificationVendor()`
`String` | `getSpecificationVersion()`
`int` | `hashCode()`
`boolean` | `isCompatibleWith(String)`
`boolean` | `isSealed()`
`boolean` | `isSealed(java.net.URL)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getImplementationTitle

    public String getImplementationTitle()

### getImplementationVendor

    public String getImplementationVendor()

### getImplementationVersion

    public String getImplementationVersion()

### getName

    public String getName()

### getPackage

    public static Package getPackage(String)

### getPackages

    public static Package[] getPackages()

### getSpecificationTitle

    public String getSpecificationTitle()

### getSpecificationVendor

    public String getSpecificationVendor()

### getSpecificationVersion

    public String getSpecificationVersion()

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class Object

### isCompatibleWith

    public boolean isCompatibleWith(String)
                             throws NumberFormatException

### isSealed

    public boolean isSealed()

### isSealed

    public boolean isSealed(java.net.URL)

### toString

    public String toString()

  Overrides:
    toString in class Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.